Bug 725906 - Review Request: php53-extras - Additional PHP modules from the standard PHP distribution
Summary: Review Request: php53-extras - Additional PHP modules from the standard PHP d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 725885
TreeView+ depends on / blocked
 
Reported: 2011-07-26 23:14 UTC by Robert Scheck
Modified: 2011-08-23 19:33 UTC (History)
2 users (show)

Fixed In Version: php53-extras-5.3.3-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 19:33:24 UTC
Type: ---
manuel.wolfshant: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2011-07-26 23:14:51 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/php53-extras.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php53-extras-5.3.3-1.src.rpm
Description:
PHP is an HTML-embedded scripting language.

This package contains various additional modules for PHP which have not
been included in the basic PHP package for Red Hat Enterprise Linux 5.


This package is what php-extras is for php-5.1.6-27.el5_5.3 on RHEL 5,
just that it is for php53. This package is intended only for RHEL 5.

Comment 1 manuel wolfshant 2011-08-03 13:39:59 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: el5/x86_64
 [x] Rpmlint output:
source RPM:
php53-extras.src:38: W: unversioned-explicit-provides php_database
php53-extras.src:38: W: unversioned-explicit-provides php-firebird
php53-extras.src:38: W: unversioned-explicit-provides php-pdo_firebird
php53-extras.src:71: W: unversioned-explicit-provides php_database
php53-extras.src:71: W: unversioned-explicit-provides php-pdo_dblib
All these are inline with the existing packages generated from php-extras
binary RPM:
php53-enchant.x86_64: W: spelling-error %description -l en_US php -> pp, hp, pep
php53-enchant.x86_64: W: spelling-error %description -l en_US intl -> int, lint, into
php53-enchant.x86_64: W: no-documentation
php53-interbase.x86_64: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Firebrand
php53-interbase.x86_64: W: spelling-error %description -l en_US php -> pp, hp, pep
php53-interbase.x86_64: W: spelling-error %description -l en_US Firebird -> Fire bird, Fire-bird, Firebrand
php53-interbase.x86_64: W: spelling-error %description -l en_US Borland -> Borderland, Borlaug, Orlando
php53-interbase.x86_64: W: spelling-error %description -l en_US Inprise -> Apprise, Reprise, Enterprise
php53-interbase.x86_64: W: spelling-error %description -l en_US advisors -> advisers, advisory, ad visors
php53-interbase.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
php53-interbase.x86_64: W: no-documentation
php53-mcrypt.x86_64: W: spelling-error %description -l en_US php -> pp, hp, pep
php53-mcrypt.x86_64: W: no-documentation
php53-mssql.x86_64: W: spelling-error %description -l en_US php -> pp, hp, pep
php53-mssql.x86_64: W: spelling-error %description -l en_US freetds -> Freetown, freeloads, freeholds
php53-mssql.x86_64: W: no-documentation
php53-recode.x86_64: W: spelling-error %description -l en_US php -> pp, hp, pep
php53-recode.x86_64: W: no-documentation
php53-tidy.x86_64: W: spelling-error %description -l en_US php -> pp, hp, pep
php53-tidy.x86_64: W: no-documentation

The ones related to description& summary are obviously bogus.
There are no docs but the license files which are already included in the php53 package.

 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type : PHP and LGPLv2 and LGPLv2+
     Actual license: PHP
I see no reference anywhere about the software not being licensed under the PHP license. php53 from RHEL5, php-extras from EPEL and php from rawhide also use PHP as license.
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 9f66716b341119e4e4f8fe3d81b7d0a5daf3cbc8  php-5.3.3.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.


=== SUGGESTED ITEMS ===
 [?] Latest version is packaged.
MUST be and is Same version as php53 from RHEL5.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: EPEL5/x86_64
 [-] Package should compile and build into binary rpms on all supported architectures.
     Tested on: EPEL5/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.

=== OPTIONAL ITEMS ===
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

=== Issues ===
1. The license is not correct

=== Final Notes ===
Fix the license before import, please


================
*** APPROVED ***
================

Comment 2 Robert Scheck 2011-08-03 14:59:22 UTC
Manuel, thank you very much for the review. I will correct the wrong license
after the import into GIT but before the first build. That way somebody else
can verify that I really imported what has been reviewed.


New Package SCM Request
=======================
Package Name: Additional PHP modules from the standard PHP distribution
Short Description: php53-extras
Owners: robert
Branches: el5
InitialCC:

Comment 3 Gwyn Ciesla 2011-08-03 15:14:25 UTC
Please correct field values in request.

Comment 4 Robert Scheck 2011-08-03 15:17:53 UTC
Sorry, my fault. New try:


New Package SCM Request
=======================
Package Name: php53-extras
Short Description: Additional PHP modules from the standard PHP distribution
Owners: robert
Branches: el5
InitialCC:

Comment 5 Gwyn Ciesla 2011-08-03 15:24:14 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-08-04 00:19:39 UTC
php53-extras-5.3.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php53-extras-5.3.3-1.el5

Comment 7 Fedora Update System 2011-08-05 08:30:39 UTC
php53-extras-5.3.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 8 Fedora Update System 2011-08-23 19:33:17 UTC
php53-extras-5.3.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.